Redmine - Feature #8981

REST Api for Groups
2011-08-04 11:22 - Stéphane Schoorens

Status: Closed Start date: 2011-08-04
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 2.1.0
Resolution: Fixed
Description
| need to attach a user to a group when | post it.
example :
my S$user_info = { user => { lastname => 'red', firstname => 'test', mail =>'red@Qred.fr', login

=>'redtest' } group => { name => users, id => 1 } };

this functionality is it implemented ?

Related issues:
Has duplicate Redmine - Feature #8597: Missing groups related array in users... Closed 2011-06-13

Associated revisions

Revision 9758 - 2012-06-03 12:40 - Jean-Philippe Lang
REST Api for Groups (#8981).

Revision 9765 - 2012-06-03 15:32 - Jean-Philippe Lang
Makes users optional in GET /groups/:id (#8981).

History

#1 - 2011-09-01 17:16 - Pierre Gay

| would need this feature too.

#2 - 2012-05-31 19:47 - Jean-Philippe Lang
- Subject changed from Users Rest Api and Groups to REST Api for Groups

- Target version set to 2.1.0

#3 - 2012-06-05 21:07 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added, see the documentation.

#4 - 2020-12-23 10:25 - Go MAEDA

- Has duplicate Feature #8597: Missing groups related array in users.xml added
https://www.redmine.org/projects/redmine/wiki/Rest_groups
